<?php

namespace App\Validations;

class ProdutoValidation {
	
	public static function register(array $dados): array {
		$result =[];
		
		if(count($dados) != 6) {
			$result['campos'] = "Quantidade de campos incompatível";
		}
		
		if(!isset($dados['nome'])) {
			$result['nome'] = "Campo obrigatório";
		} else {
			if(strlen(trim($dados['nome'])) == 0) {
				$result['nome'] = "Campo deve ser preenchido";
			}
		}
		if(!isset($dados['descricao'])) {
			$result['descricao'] = "Campo obrigatório";
		} else {
			if(strlen(trim($dados['descricao'])) == 0) {
				$result['descricao'] = "Campo deve ser preenchido";
			}
		}
		
		if(!isset($dados['id_tipo'])) {
			$result['id_tipo'] = "Campo obrigatório";
		} else {
			if(!intval($dados['id_tipo'])) {
				$result['id_tipo'] = "Valor deve ser inteiro";
			}
		}
		if(!isset($dados['id_status'])) {
			$result['id_status'] = "Campo obrigatório";
		} else {
			if(!intval($dados['id_status'])) {
				$result['id_status'] = "Valor deve ser inteiro";
			}
		}
		
		if(!isset($dados['id_unidade'])) {
			$result['id_unidade'] = "Campo obrigatório";
		} else {
			if(!intval($dados['id_unidade'])) {
				$result['id_unidade'] = "Valor deve ser inteiro";
			}
		}
		
		if(!isset($dados['valor'])) {
			$result['id_status'] = "Campo obrigatório";
		} else {
			$valor = str_ireplace(",",".", $dados['valor']);
			if(!floatval($valor)) {
				$result['valor'] = "Valor deve ser decimal";
			}
		}
		
		return $result;
		
	}
	
	public static function changestatus(array $dados): array {
		$result =[];
		
		if(count($dados)  != 2) {
			$result['campos'] = "Quantidade de campos incompatível";
		}
		
		if(!isset($dados['id'])) {
			$result['id'] = "Campo obrigatório";
		} else {
			if(!intval($dados['id'])) {
				$result['id'] = "Valor deve ser inteiro";
			}
		}
		
		
		if(!isset($dados['id_status'])) {
			$result['id_status'] = "Campo obrigatório";
		} else {
			if(!intval($dados['id_status'])) {
				$result['id_status'] = "Valor deve ser inteiro";
			}
		}
		
		return $result;
		
	}

}

